Page MenuHomePhabricator

Provide precise information for errors caused by title blacklist in upload image dialog
Closed, ResolvedPublic8 Story Points

Description

We should provide precise information for errors caused by title blacklist in upload image dialog.

This will require some work in TitleBlacklist.

Event Timeline

matmarex created this task.Oct 12 2015, 2:14 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 12 2015, 2:14 PM

Change 245497 had a related patch set uploaded (by Prtksxna):
mw.Upload.BookletLayout: Use appropriate messages for warnings

https://gerrit.wikimedia.org/r/245497

This comment was removed by Prtksxna.
Jdforrester-WMF triaged this task as Normal priority.Oct 12 2015, 8:08 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 13 2015, 2:32 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Oct 13 2015, 2:49 PM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Oct 14 2015, 10:48 AM
matmarex claimed this task.Jun 23 2016, 4:37 AM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptJun 23 2016, 4:37 AM

Change 295610 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Better handle error messages from AbuseFilter and TitleBlacklist

https://gerrit.wikimedia.org/r/295610

Change 296362 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Pass parameters to custom error messages

https://gerrit.wikimedia.org/r/296362

Change 296362 abandoned by Bartosz Dziewoński:
mw.Upload.BookletLayout: Pass parameters to custom error messages

Reason:
Squashed into https://gerrit.wikimedia.org/r/295610

https://gerrit.wikimedia.org/r/296362

Change 295610 merged by jenkins-bot:
mw.Upload.BookletLayout: Better handle error messages from AbuseFilter and TitleBlacklist

https://gerrit.wikimedia.org/r/295610

matmarex closed this task as Resolved.Jul 12 2016, 2:37 PM